score_fun.distMatrix {xcms} | R Documentation

## Scoring for MS/MS spectra

### Description

A similarity scoring function for MS/MS spectra against a reference via a distance matrix.

### Usage

      score_fun.distMatrix(ref, exp, ppmfrag)

### Arguments

`ref` | An array of numbers for the refference
`exp` | An array of numbers for the test
`ppmfrag` | A numerical string for the amount of error in

### Details

A simple scoring function to score two arrays of numbers and give a percentage match between the two. Uses a a distance and similarity matrix score system. When the two scores are calculated the percentage score is calculated from the theoritical maximum score and the theoritical minimum score.

### Value

`score` | Percentage score between the two arrays

### Author(s)

H. Paul Benton, hpbenton@scripps.edu

### References

H. Paul Benton, D.M. Wong, S.A.Strauger, G. Siuzdak "XCMS^2:" Analytical Chemistry 2008 DOI:http://pubs.acs.org/doi/abs/10.1021/ac800795f/

### See Also

`score_fun.cor`

### Examples

    ## Not run:
    score<-xcms:::score_fun.distMatrix(rnorm(10), rnorm(10), 20)
    score

    a<-abs(rnorm(5))
    a[2]<-xcms:::ppmDev(a[2], 30)
    score<-xmcs:::score_fun.distMatrix()
    score
    ## End(Not run)

[Package xcms version 1.16.3 Index]